#pragma once
#include "afxwin.h"


// CDialogRespSet 对话框

class CDialogRespSet : public CDialogEx
{
	DECLARE_DYNAMIC(CDialogRespSet)

public:
	CDialogRespSet(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDialogRespSet();

// 对话框数据
	enum { IDD = IDD_DIALOG_RESP_SET };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButtonRespSetDefault();
	virtual BOOL OnInitDialog();
	CComboBox m_ComboRespAlmSw;
	CComboBox m_ComboRespAlmLevel;
	CComboBox m_ComboRespAlmRec;
	CComboBox m_ComboRespAPNEATime;
	afx_msg void OnBnClickedOk();
	afx_msg void OnCbnSelchangeComboRespSetAlmSw();
	afx_msg void OnCbnSelchangeComboRespSetAlmLevel();
	afx_msg void OnCbnSelchangeComboRespSetAlmRec();
	afx_msg void OnCbnSelchangeComboRespSetApneaTime();
	CEdit m_EditRRAlmH;
	CEdit m_EditRRAlmL;
	virtual BOOL PreTranslateMessage(MSG* pMsg);
private:
	CString input_RRAlmH_check(CString & cs);
	CString input_RRAlmL_check(CString & cs);
};
